Get Checklist
curl --request GET \
--url https://api.deepinfra.com/payment/checklist \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deepinfra.com/payment/checklist"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deepinfra.com/payment/checklist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"stripe_balance": 123,
"recent": 123,
"limit": 123,
"suspend_reason": "balance",
"email": false,
"billing_address": false,
"billing_address_info": {
"name": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"payment_method": false,
"payment_method_info": {
"type": "<string>",
"card": {
"brand": "<string>",
"last4": "<string>",
"wallet": "<string>"
},
"us_bank_account": {
"bank_name": "<string>",
"last4": "<string>"
},
"cashapp": {
"cashtag": "<string>"
}
},
"suspended": false,
"overdue_invoices": 0,
"last_checked": 0,
"topup": false,
"topup_amount": 0,
"topup_threshold": 0,
"topup_failed": false,
"billing_type": "<string>",
"intermediate_invoicing_threshold": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Billing
Get Checklist
GET
/
payment
/
checklist
Get Checklist
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Cookies
Response
Successful Response
Negative value indicates funds ready-to-spend. Positive value indicates money owed
usage since most recent invoice
Available options:
balance, payment-method, overdue-invoices, limit-reached, admin, bad-cc, missing-address Show child attributes
Show child attributes
Show child attributes
Show child attributes